Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class DefaultFieldTranslator

`java.lang.Object
oracle.toplink.sdk.DefaultFieldTranslator`

All Implemented Interfaces:
  FieldTranslator, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class DefaultFieldTranslator
extends java.lang.Object
implements FieldTranslator

This is a default implementation of the `FieldTranslator` interface. It does nothing to the database row - it simply returns it unchanged.

Since:
  TOPLink/Java 3.0
See Also:
  `AbstractSDKCall`, Serialized Form

Constructor Summary
`DefaultFieldTranslator()` Deprecated. Default constructor.

Method Summary
`DatabaseRow` | `translateForRead(DatabaseRow row)` Deprecated. Translate and return the specified database row that was read from the data store.
`DatabaseRow` | `translateForWrite(DatabaseRow row)` Deprecated. Translate and return the specified database row that will be written to the data store.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFieldTranslator

    public DefaultFieldTranslator()

  Deprecated.
  Default constructor.

Method Detail

### translateForRead

    public DatabaseRow translateForRead(DatabaseRow row)

  Deprecated.
  Translate and return the specified database row that was read from the data store. Simply return the row unchanged.
  Specified by:
    `translateForRead` in interface `FieldTranslator`

### translateForWrite

    public DatabaseRow translateForWrite(DatabaseRow row)

  Deprecated.
  Translate and return the specified database row that will be written to the data store. Simply return the row unchanged.
  Specified by:
    `translateForWrite` in interface `FieldTranslator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD